Con                                                      
                                                         
  _CLKMODE = XTAL1 + PLL16X                              
  _XINFREQ = 5_000_000
  DO  = 22                              
  CLK = 23                             
  DI  = 24                              
  CS  = 25                              
       
Var         
    
Obj
  io : "parallax serial terminal"  
  sd : "sd-mmc_fatengine"
        
Pub Init | a, b, c

  io.start(115200)
  waitcnt(clkfreq*2+cnt)
  if sd.fatEngineStart( DO, CLK, DI, CS, -1, -1, -1, -1, -1)
    sd.mountpartition(0)
    io.str(string("Partition mounted!",13,13))
  else
    io.str(string("Problem starting fat engine",13))
    error

  a := sd.partitionusedsectorcount("F")
  b := sd.partitionbytespersector
  c := sd.partitionfreesectorcount("F")  
  io.str(string("File system                    ",11))
  io.str(sd.partitionfilesystemtype)
  io.str(string(13,"Used partition sectors         ",11))
  io.dec(a)
  io.str(string(13,"Bytes per partition sector     ",11))
  io.dec(b)
  io.str(string(13,"Current free partition sectors ",11))
  io.dec(c)
  io.str(string(13,13,"Total bytes used               ",11))
  io.dec(a * b)
  
  sd.unmountpartition

Pub error
 
  repeat   